> For the complete documentation index, see [llms.txt](https://docs.ospree.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ospree.io/developers/blockchain-analytics/list-addresses.md).

# List Addresses

<mark style="color:green;">`GET`</mark> `/api/v2/analytics/chains/{chain}/addresses`

Retrieve the paginated list of address based on the requesting business identity.

Path Parameters

| Name    | Type   | Description                                                                    | Required |
| ------- | ------ | ------------------------------------------------------------------------------ | -------- |
| `chain` | string | Blockchain network name. Example: <mark style="color:orange;">`bitcoin`</mark> | True     |

Query Parameters

| Name          | Type    | Description                                                                                                                                                                                 | Required |
| ------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| `start_range` | string  | Starting point for specified data range. Example: <mark style="color:orange;">`2020-12-09`</mark>                                                                                           |          |
| `end_range`   | string  | Ending point for specified data range. Example: <mark style="color:orange;">`2023-12-09`</mark>                                                                                             |          |
| `page`        | integer | The current page number in pagination. Minimum: <mark style="color:orange;">`1`</mark>,  Default: <mark style="color:orange;">`1`</mark>                                                    |          |
| `size`        | integer | The size or number of records per page. Minimum: <mark style="color:orange;">`1`</mark>, Maximum: <mark style="color:orange;">`50`</mark>, Default: <mark style="color:orange;">`10`</mark> |          |
| `sort`        | string  | Criteria for result sorting. Example: <mark style="color:orange;">`-created`</mark>                                                                                                         |          |

Sample Request

{% tabs %}
{% tab title="REQUEST" %}

```json
curl -X POST https://sandbox.ospree.io/api/v2/analytics/chains/all/addresses?start_range=2024-01-01&end_range=2025-04-15&page=1&size=10&sort=-created

-h 'Content-Type: application/json' \
-h 'Accept: application/json' \
-h 'Authorization: ••••••' \
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="RESPONSE" %}

```json
{
    "status": "success",
    "data": {
        "items": [
            {
                "id": "0195fd99-5872-75c8-bee2-69a36b4434a1",
                "address": "0x97e813B9a81d097e60a5E6311bc9A475199B67aE",
                "chain": "ethereum",
                "dti": "X9J9K872S",
                "is_self_hosted": true,
                "risk_ratio": 39,
                "balance_usd": 13963912.447702782,
                "balance": 7753.421681123144,
                "symbol": "ETH",
                "last_modified": "2025-04-03T21:40:41.049947+00:00",
                "created": "2025-04-03T21:40:40.031448+00:00"
            },
            {
                "id": "0196288f-0271-7747-a935-b82ed8165ec0",
                "address": "1Q8QR5k32hexiMQnRgkJ6fmmjn5fMWhdv9",
                "chain": "bitcoin",
                "dti": "4H95J0R2X",
                "is_self_hosted": false,
                "risk_ratio": 39,
                "balance_usd": 850890689.7822123,
                "balance": 10216.72063792,
                "symbol": "BTC",
                "last_modified": "2025-04-12T05:53:03.073340+00:00",
                "created": "2025-04-12T05:53:03.073335+00:00"
            },
            {
                "id": "01963491-4765-717d-bcfb-e9ff5ed380a7",
                "address": "3J98t1WpEZ73CNmQviecrnyiWrnqRhWNLy",
                "chain": "bitcoin",
                "dti": "4H95J0R2X",
                "is_self_hosted": false,
                "risk_ratio": null,
                "balance_usd": 0.0,
                "balance": 0.0,
                "symbol": "BTC",
                "last_modified": "2025-04-15T09:36:47.935292+00:00",
                "created": "2025-04-14T13:50:58.395551+00:00"
            },
            {
                "id": "0195fd9a-e5ec-7e91-88c5-a5fde482a7a1",
                "address": "0x4a43481ead96C0B1077c0faEAA664D8fdd4b5f7f",
                "chain": "ethereum",
                "dti": "X9J9K872S",
                "is_self_hosted": true,
                "risk_ratio": 49,
                "balance_usd": 0.028839256849896265,
                "balance": 1.6024658189176e-05,
                "symbol": "ETH",
                "last_modified": "2025-04-03T21:42:22.014785+00:00",
                "created": "2025-04-03T21:42:21.927197+00:00"
            },
            {
                "id": "0195ff1c-45f5-7aec-93f0-4c38f11961c3",
                "address": "bc1qm6ysn7d6ar667m2gpesw4ks0xg768pg6487c8m",
                "chain": "bitcoin",
                "dti": "4H95J0R2X",
                "is_self_hosted": true,
                "risk_ratio": null,
                "balance_usd": 34.168112962500004,
                "balance": 0.00041255,
                "symbol": "BTC",
                "last_modified": "2025-04-04T04:43:17.872876+00:00",
                "created": "2025-04-04T04:43:17.872872+00:00"
            },
            {
                "id": "0195c6d0-0ece-7e28-be73-bf811da978dd",
                "address": "0x95222290DD7278Aa3Ddd389Cc1E1d165CC4BAfe5",
                "chain": "ethereum",
                "dti": "X9J9K872S",
                "is_self_hosted": true,
                "risk_ratio": 0,
                "balance_usd": 19783.101803049667,
                "balance": 10.966242684617333,
                "symbol": "ETH",
                "last_modified": "2025-04-04T14:01:13.059796+00:00",
                "created": "2025-03-24T06:21:18.923350+00:00"
            },
            {
                "id": "0196288f-9f37-785c-a5eb-216f78573c0b",
                "address": "bc1qfn9ljy4g7kdpl4stlyys030wpstcep03w9rvx2",
                "chain": "bitcoin",
                "dti": "4H95J0R2X",
                "is_self_hosted": true,
                "risk_ratio": 50,
                "balance_usd": 866805835.6938196,
                "balance": 10407.42033621,
                "symbol": "BTC",
                "last_modified": "2025-04-12T05:53:43.208307+00:00",
                "created": "2025-04-12T05:53:43.208304+00:00"
            },
            {
                "id": "0196385b-be20-7809-9148-8c3cc17a5cd2",
                "address": "3K1hqWvwo2pPeQEE9obTbWzoLJAP52JJuF",
                "chain": "bitcoin",
                "dti": "4H95J0R2X",
                "is_self_hosted": true,
                "risk_ratio": 0,
                "balance_usd": 0.0,
                "balance": 0.0,
                "symbol": "BTC",
                "last_modified": "2025-04-15T07:38:57.263278+00:00",
                "created": "2025-04-15T07:30:58.563649+00:00"
            },
            {
                "id": "019638ce-3ed1-7c01-85c9-2c7918f6c506",
                "address": "1BoatSLRHtKNngkdXEeobR76b53LETtpyT",
                "chain": "bitcoin",
                "dti": "4H95J0R2X",
                "is_self_hosted": false,
                "risk_ratio": null,
                "balance_usd": 0.0,
                "balance": 0.0,
                "symbol": "BTC",
                "last_modified": "2025-04-15T09:35:59.962786+00:00",
                "created": "2025-04-15T09:36:02.759292+00:00"
            },
            {
                "id": "0196011b-9c2a-7c63-9a3d-3aa45d3c6fbc",
                "address": "0x388C818CA8B9251b393131C08a736A67ccB19297",
                "chain": "ethereum",
                "dti": "X9J9K872S",
                "is_self_hosted": true,
                "risk_ratio": 39,
                "balance_usd": 33392.04656315908,
                "balance": 18.6795067005807,
                "symbol": "ETH",
                "last_modified": "2025-04-04T14:10:09.753295+00:00",
                "created": "2025-04-04T14:01:48.839197+00:00"
            }
        ],
        "pagination": {
            "total": 145,
            "size": 10,
            "page": 1
        }
    },
    "message": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/developers/blockchain-analytics/list-addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
